Subject: bug#12582: 24.1.50; customize settings not persisting across sessions + CHANGED outside Customize flag issue

From: Hilary J Holz <[email-masked]>
Date: Fri, 5 Oct 2012 15:24:24 -0700

That was one of my realizations in this process; that I've hit the point at which I need to get up to speed on BDD for emacs.

That way I could spawn a pristine copy to start with, not to mention have emacs to keep notes with while working on the problem.

Any favorite references for getting up to speed in the area? I'm fluent in BDD in other platforms.

Hilz

On Oct 5, 2012, at 3:17 PM, Stefan Monnier wrote:

>> 4. M-x shell-switcher-new-shell (launches buffer in eshell)
>> 5. M-x customize-apropos<RET>shell-switcher (flags both settings
>>   CHANGED outside Customize)
>> 6. C-x C-f ~/.emacs (contents of .emacs is unchanged)
> 
> Shell-switcher is not part of Emacs, so "empty .emacs" doesn't sound
> quite right.  I suspect the problem is somewhere in the local
> modifications you have.
> 
> Of course, it can still be due to a bug in Emacs's Customize code, but
> we'd need some recipe starting from a really empty local customization
> (which would hence explicitly load shell-switcher.el).
> 
> 
>        Stefan
> 

----
Hilary J Holz
full stack web developer
[email-masked]
http://hholz.com/
http://linkedin.com/in/hilaryholz